var canvas;
var context;
var points = [];

function Coords (type) {
	this.type = type;
	this.x = 0;
	this.y = 0;
}

function handleDeviceOrientation(event) {
	var c = new Coords();
	c.x=event.beta+180;
	c.y=event.gamma+180;
	points.push(c);
}

function update() {

	canvas = document.getElementById("canvas");
	context = canvas.getContext("2d");

	canvas.width = 400;
	canvas.height = 400;

	context.clearRect(0, 0, context.canvas.width, context.canvas.height);
	context.lineWidth = 4;

	while(points.length>50)
		points.shift();
	

	context.moveTo(points[0].x,points[0].y);
	for (i = 1; i < points.length; i++) {
		context.lineTo(points[i].x,points[i].y);
	}

	context.stroke();
}


// Initialize function
var init = function() {
	// TODO:: Do your initialization job
	console.log("init() called");

	// add eventListener for tizenhwkey
	document.addEventListener('tizenhwkey', function(e) {
		if (e.keyName == "back")
			tizen.application.getCurrentApplication().exit();
	});

	window.addEventListener("deviceorientation", handleDeviceOrientation, false);

	setInterval(update, 100)
};





// window.onload can work without <body onload="">
window.onload = init;
